Skip to content

Set a schedule as the caller's default

POST
/appointments/schedules/{schedule_id}/set-default

Mark a schedule as the caller’s default availability schedule.

Persists via repo.update_appointment_settings(default_schedule_id=...) which is identical to the in-app PATCH /me (profile router) path that sets default_schedule_id. The default schedule is used for slot generation when an event type has no schedule attached (Layer 3 resolution). Returns 404 when the schedule does not exist or belongs to another user.

Authorizations

Parameters

Path Parameters

schedule_id
required

Schedule integer ID.

integer
>= 1

Schedule integer ID.

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string